document.write('<script type="text/javascript" src="../script/jquery.min.js"></script>');
document.write('<script type="text/javascript" src="../script/fastclick.js"></script>');

var rootUrl = "http://www.creditlz.gov.cn", //cmd地址
    rootUrl2 = "http://www.creditlz.gov.cn";
//打开窗口
function OpenWin(page,param){
    var pageParam = { pageName: page }
    if (param) {
        $.extend(pageParam,param);
    }
    //console.log("openwin---------"+JSON.stringify(pageParam));
    api.openWin({
        name: page,
        url: './' + page + '_win.html',
        bounces: false,
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        bgColor : 'rgba(238,238,238,1)',
        pageParam: pageParam
    });
}
//打开页面
function OpenFrm(page,param){
    var bounces = true;

    if (param && param.noBounces) {
        bounces = false;
    }
    api.openFrame({
        name: page,
        url: './' + page +'_frm.html',
        rect: {
            x: 0,
            y: $api.dom('header').offsetHeight,
            w: api.winWidth,
            h: 'auto'
        },
        bgColor : 'rgba(238,238,238,1)',
        bounces :  bounces,
        pageParam: param
    });
}

function ajax(param,callback){
  //console.log(jsonStr(param));
  if(param.url.indexOf('P3-Web')<0){
      rootUrl = rootUrl2;
  };
  var Param = {
	    url: rootUrl + param.url,
	    method: param.method,
	    dataType: 'json',
			headers : {'Content-Type':'application/json'},
	    data: {body:param.data}
	};
  //console.log(jsonStr(Param))
	api.ajax(Param,function(ret, err){
    //console.log(jsonStr(ret))
    if (ret) {
  	    callback(ret,err);
    }else{

      var errMsg = param.errMsg ? param.errMsg : '网络错误';

      api.hideProgress();//关闭提示
      if("undefined" != typeof mescroll){ mescroll.endErr(); }
      console.log('错误接口：'+jsonStr(param));

      if (errMsg == 'xysb' && !isLogin()) { //政民互动信息信息需登录查看
          return false;
      }
      msg(errMsg);
    }
	});
}
function ajax2(param,callback){
  //console.log(jsonStr(param));
  if(param.url.indexOf('P3-Web')<0){
      rootUrl = rootUrl2;
  };
  var Param = {
	    url: rootUrl + param.url,
	    method: param.method,
	    //dataType: 'json',
	    data: {values:param.data}
	};

  $.ajax({
     url: rootUrl + param.url,
     type:param.method,
     data:JSON.stringify(param.data),
     contentType:'application/json',
     dataType:"json",
     success:function(ret) {
       //console.log(jsonStr(ret));
       if (ret) {
           callback(ret);
       }
     },
     error:function(err) {
       console.log(jsonStr(err));
       //console.log('错误接口：'+jsonStr(param));
       msg('网络错误');
       api.hideProgress();//关闭提示
       api.refreshHeaderLoadDone();
       //console.log(jsonStr(err));
     }
  })
}
//文章列表
function getArticeList(columnId,pageParam,callback) {
  var pageSize = pageParam.pageSize ? pageParam.pageSize : 20,
      pageNo = pageParam.pageNo ? pageParam.pageNo : 1;

  var param = {
    url:'/siteController/articleListByAll',
    method:'post',
    data:{
      columnId:columnId,
      pageSize:pageSize,
      pageNo:pageNo
    }
  }
  //console.log(jsonStr(param));
  ajax2(param,callback);
}
//文章详情
function openArtice(aid,itemName) {
    OpenWin('article_details',{aId:aid,itemName:itemName});
}
//下拉刷新
function refreshData(callback) {
    api.setRefreshHeaderInfo({
        loadingImg: 'widget://image/refresh.png',
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...'
    }, callback);
}
  //上拉加载
function loadingData(callback) {
    api.addEventListener({
        name : 'scrolltobottom',
        extra : {
          threshold : 60 //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, callback);
}
// 加载等待
function UILoading(close){
    var UILoading = api.require('UILoading');

    if (close) {
    	UILoading.closeFlower({
		    id: 'a'
		});
    	return;
    }

    UILoading.flower({ size:30,fixed:true}, function(ret) {id:'a'});
}
//收缩面板显示隐藏
function showDetails(e) {
  var content = $api.last(e, 'div');
  if (parseInt($api.cssVal(content, 'height')) == 0) {
    $api.attr(e, 'id', 'show');
  } else {
    $api.removeAttr(e, 'id');
  }
}
//弹出消息
var msg = function(m){
    api.toast({ msg: m });
}
//显示加载组件
function showProgress(title){
	if (!title) { var title = '加载中...'; }
	api.showProgress({
	    style: 'default',
	    animationType: 'zoom',
	    title: title,
	    //text: '请稍后...',
	    modal: true
	});
}
//判断是否登陆
function isLogin(page,param){
   var userID = api.getPrefs({sync: true,key: 'userID'});
   if (!userID) {
        OpenWin('login',{bounces:false});
   }else{
        if(page){
          OpenWin(page,param);
        }else{
          return true;
        }
   }
}
//自动登录
function inspectLogin(m) {
  var userID = api.getPrefs({sync: true,key: 'userID'}),
      userName = api.getPrefs({sync: true,key: 'userName'}),
      userPassword = api.getPrefs({sync: true,key: 'userPassword'});

  if (!userID || !userName || !userPassword) {
      console.log('缺少必要参数!');
      cleanUserInfo();
      return false;
  }
  var loginParam = {
    userName: userName,
    userPassword: userPassword,
    //validatecode:'1234',
    dev:'mp',
    platform:'ca'
  }
  login(loginParam,function(ret,err) {
        //console.log(jsonStr(ret));
        if (ret.code == 0) {
            if (m) { msg(m); }
            console.log('自动登录成功');
            api.hideProgress();//关闭提示
            api.sendEvent({ //发送登录成功事件
                name: 'loginSuccess',
                extra: ret.dataList[0]
            });

        }
  })
}
//登录
function login(logParam,callback) {
  var param = {
    url:'/website/credit/getTokenId',
    method:'get',
    data:{}
  }

  ajax(param,function(ret,err) {
      var tokenId = ret.tokenId;
      if (tokenId) {
        logParam.tokenId = tokenId;
        var param = {
          url:'/website/credit/loginSys',
          method:'post',
          data:logParam
        }
        ajax(param,callback);
      }else {
        autoClose("tokenId不存在");
      }
  });

}
//退出注销
function logout() {
  showProgress('注销中');
  var param = {
    url:'/website/credit/logout',
    method:'get',
    data:{}
  }
  ajax(param,function(ret,err) {
      api.hideProgress();//关闭提示
      if (ret.result == 0) {
          cleanUserInfo();
          api.sendEvent({ //发送退出事件
              name: 'logout',
              extra: {}
          });
          api.closeToWin({name:'root'});
      }else {
        msg(ret.msg)
      }
  });
}
function storingUserInfo(data){ //存储用户信息
    if (!data) { api.toast({ msg: '信息错误!' }); return false; }
    var userID = data.userId,
        userName = data.userName,
        userQuestion = data.userQuestion,
        userPassword = data.userPassword;

    if (!userID || !userName || !userPassword) {
        console.log('缺少必要参数!');
        return false;
    }else {
        api.setPrefs({ sync: true, key: 'userID', value: userID});
        api.setPrefs({ sync: true, key: 'userName', value: userName});
        api.setPrefs({ sync: true, key: 'userPassword', value: userPassword});
        if (userQuestion) {
            api.setPrefs({ sync: true, key: 'userQuestion', value: userQuestion});
        }
        console.log('存储用户信息成功');
    }
    return true;
}
function cleanUserInfo() {
    api.removePrefs({ key: 'userID'});
    api.removePrefs({ key: 'userName'});
    api.removePrefs({ key: 'userPassword'});
    api.removePrefs({ key: 'userQuestion'});
    api.removePrefs({ key: 'messagePush'});
    console.log('清除信息成功');
}
//自动关闭
function autoClose(msg){
	if (msg) {
	  api.toast({ msg:msg });
	}
  setTimeout(function(){ api.closeWin(); },1000);
}
// json对象转字符串
var jsonStr = function(obj){
    return JSON.stringify(obj);
}
//时间戳转日期
function fmtDate(str){
    if (!str) { return '';}
    var date =  new Date(str);
    var y = 1900+date.getYear();
    var m = "0"+(date.getMonth()+1);
    var d = "0"+date.getDate();
    return y+"-"+m.substring(m.length-2,m.length)+"-"+d.substring(d.length-2,d.length);
}
//时间戳转时间
function fmtTime(str){
    if (!str) { return '';}
    var date =  new Date(str);
    var h = "0" + date.getHours();
    var m = "0" + date.getMinutes();
    var s = "0" + date.getSeconds();
    return h.substring(h.length-2,h.length) + ":" + m.substring(m.length-2,m.length) + ":" + s.substring(s.length-2,s.length);
}
//获取验证码
function getValidateCode(e){
    var code = "<img src='"+rootUrl2+"/website/usermanage/getImage?id="+Math.random()+"'>";
    $(e).html(code);
}
//验证验证码
function checkValidatecode(code,callback){
  if (!code) {
    msg('请输入验证码');
    api.hideProgress();//关闭提示
    return false
  }
  var param = {
    url:'/website/usermanage/checkValidatecode/'+code,
    method:'get',
    data:{}
  }
  ajax(param,function(ret,err) {
    if(ret.code == 0){
      callback();
    }else{
      msg(ret.msg);
      api.hideProgress();//关闭提示
    }
  });
}
function checkText(str,item) {
    var re = /^(\w){6,16}$/;
    if (!re.test(str)) {
        api.toast({ msg: item + '由6-16位字母、数字、下划线组成' });
    }
    return re.test(str);
}
function checkMobile(str) {
    var re = /^1(3|4|5|7|8)\d{9}$/;
    if (!re.test(str)) {
        api.toast({ msg: '请输入正确的手机号码!' });
    }
    return re.test(str);
}
//验证手机号是否被占用
function telIsOccupy(tel,callback) {
  var param = {
    url:'/website/usermanage/checkPhone/'+tel,
    method:'get',
    data:{}
  }
  ajax(param,function(ret,err) {
        console.log(jsonStr(ret));
        if(ret.code == 0){
          callback();
        }else{
          msg('手机号已被注册');
          return false;
        }
  });
}
function checkEmail(str) {
    var re = /^[a-zA-Z0-9_-]+@([a-zA-Z0-9]+\.)+(com|cn|net|org)$/;
    if (!re.test(str)) {
        api.toast({ msg: '请输入正确的邮箱!' });
    }
    return re.test(str);
}
function checkID_number(str) {
    var re = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
    if (!re.test(str)) {
        api.toast({ msg: '请输入正确的身份证号码!' });
    }
    return re.test(str);
}
function checkNull(str,item){
    if(str && removeSpace(str)){
      return true;
    }else {
      if (item) {
        msg('请输入'+item);
      }
      return false;
    }
}
//过滤字符串前后空格
function removeSpace(str){
	return str.replace(/(^\s*)|(\s*$)/g,"");
}
function clickEnter(callback) {
  document.onkeydown=function(event){
    var e = event || window.event || arguments.callee.caller.arguments[0];
     if(e && e.keyCode==13){ // 监听回车键
       callback();
    }
  };
}
// 自定义select
function selectChange(e,callback) {
    var v = e.value,
        beginTime = '',
        endTime = '';
    $(e).siblings('.select-label').html(v);

    if(v=="时间不限"){
      beginTime = "";
      endTime = "";
    }else if(v=="一天内"){
      beginTime = adddays(-1);
      endTime = getNowday();
    }else if(v=="一周内"){
      beginTime = adddays(-7);
      endTime = getNowday();
    }else if(v=="一月内"){
      beginTime = addmulMonth(-1);
      endTime = getNowday();
    }else if(v=="一年内"){
      beginTime = addmulMonth(-12);
      endTime = getNowday();
    }
    callback(beginTime,endTime);
}
//计算日期
function  getNowday(){
	var newdate=new Date();
	return newdate.getFullYear()+"-"+(newdate.getMonth()+1)+"-"+newdate.getDate();
}
function adddays(n) {
    var DaysToAdd=n;
    var newdate=new Date();
    var newtimems=newdate.getTime()+(DaysToAdd*24*60*60*1000);
            newdate.setTime(newtimems);
    //只得到年月日的
   return  newdate.getFullYear()+"-"+(newdate.getMonth()+1)+"-"+newdate.getDate();
}
//   n个月后
function addmulMonth(n)
{
	var years = '';
	if(Math.abs(n)<12){
		years = Math.floor(Math.abs(n)/12);
	}else{
		years = Math.floor(n/12);
	}
    var months = n%12;
    var newdate=new Date();
	var dtstr = newdate.getFullYear()+"-"+(newdate.getMonth()+1)+"-"+newdate.getDate();
    var s = dtstr.split("-");
    var yy = parseInt(s[0]);
    var mm = parseInt(s[1]) - 1;
    var dd = parseInt(s[2]);
    var dt = new Date(yy, mm, dd);
    dt.setMonth(dt.getMonth() +1+ months);
    dt.setYear(dt.getFullYear()+years);
    if ((dt.getYear() * 12 + dt.getMonth()) > (yy * 12 + mm + months)) {
        dt = new Date(dt.getYear(), dt.getMonth(), 0);
    }
    return dt.getFullYear() + "-" + dt.getMonth() + "-" + dt.getDate();
}
function getDate(sj) {
        //shijianchuo是整数，否则要parseInt转换
        var time = new Date(sj);
        var y = time.getFullYear();
        var m = time.getMonth()+1;
        var d = time.getDate();
        //var h = time.getHours();
        //var mm = time.getMinutes();
        //var s = time.getSeconds();
        return y+'-'+add0(m)+'-'+add0(d); //+' '+add0(h)+':'+add0(mm)+':'+add0(s);
    };
function add0(m){return m<10?'0'+m:m };
